=== debian/changelog ===
radiusd-livingston (2.1-21) unstable; urgency=low

  * Updated to debhelper 9 and the dh sequencer.
  * Move to logrotate for log rotation.
  * Move to quilt for patches.
  * New patches:
    + ftbfs-gcc5-790276.patch: First step at closing #790276.
    + fix-declarations-req2str-751114.patch: Closes: #751114
  * Debconf translation:
    + Dutch (Jeroen Schot). Closes: #660226

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2015 00:58:38 +0100

radiusd-livingston (2.1-20) unstable; urgency=low

  * Change to libdb-dev instead of libdb4.7-dev.
    (Closes: #612368, #628263)
  * Bump standards version to 3.9.2 (no changes)

 -- Paul Martin <pm@debian.org>  Tue, 31 May 2011 18:05:07 +0100

radiusd-livingston (2.1-19) unstable; urgency=low

  * Debconf translation (thanks for reminder from Christian):
    - Spanish (Camaleón). Closes: #584448
    - Danish (Joe Dalton). Closes: #586235 

 -- Paul Martin <pm@debian.org>  Mon, 11 Oct 2010 11:18:50 +0100

radiusd-livingston (2.1-18) unstable; urgency=low

  [ Christian Perrier and the debian-i18n team ]
  * Add $remote_fs to Required-{Start|Stop} in init script
    to ensure that /usr is mounted when the start and stop scripts
    are being run
  * Add ${misc:Depends} tp package dependencies to cope with
    dependencies triggerred by the use of debhelper
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #552448
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #558164

  [ Paul Martin ]
  * Specify debian/source/format of 1.0 for now. Generating a nice set of
    quilt patches will be tricky.
  * Bump standards version to 3.8.4 (no changes).
  * Bump debian/compat to 7, debhelper build-dep to >>7, and change 
    "dh_clean -k" to "dh_prep".

 -- Paul Martin <pm@debian.org>  Tue, 01 Jun 2010 14:28:11 +0100

radiusd-livingston (2.1-17) unstable; urgency=low

  * Build-dep on libdb4.7-dev. (Closes: #524296)
  * Bump standards version (no changes).

 -- Paul Martin <pm@debian.org>  Thu, 16 Apr 2009 11:35:33 +0100

radiusd-livingston (2.1-16) unstable; urgency=low

  [ debian-i18n ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #425858
  * Debconf translation updates:
        Arabic (ar.po) Closes: #427111
        Czech (cz.po) Closes: #427891
        French (fr.po) Closes: #427342
        Galician (gl.po) Closes: #426430
        German (de.po) Closes: #427540
        Italian (it.po) Closes: #427227
        Portuguese (pt.po) Closes: #427063
        Swedish (sv.po) Closes: #426593

  [ Paul Martin ]
  * Thanks to Christian Perrier for coordinating the above.

 -- Paul Martin <pm@debian.org>  Fri, 07 Mar 2008 09:07:42 +0000

radiusd-livingston (2.1-15) unstable; urgency=low

  * Patch for logic error which gcc gives a warning for.
    Thanks to Ian Brabham.
  * Switch to using invoke-rc.d instead of calling script in /etc/init.d
    directly.
  * Build against libdb4.5. (Closes: #421952)
  * Fix all gcc warnings. (Closes: #371140)
  * Fix lintian warnings:
     debian-rules-sets-DH_COMPAT, init.d-script-missing-lsb-section,
     out-of-date-standards-version, read-in-maintainer-script.
  * Uses debconf for printing notes. (Closes: #328329)

 -- Paul Martin <pm@debian.org>  Wed, 02 May 2007 22:24:16 +0100

radiusd-livingston (2.1-14) unstable; urgency=low

  * Fix bash-ism in debian/rules. (Closes: #376357)

 -- Paul Martin <pm@debian.org>  Sun,  2 Jul 2006 16:09:29 +0100

radiusd-livingston (2.1-13) unstable; urgency=low

  * Added errno.h include to src/dbmrec.c and src/dbmkey.c. Fixes build 
    on amd64. (Closes: #273629)

 -- Paul Martin <pm@debian.org>  Tue, 26 Apr 2005 18:42:03 +0100

radiusd-livingston (2.1-12) unstable; urgency=low

  * Now build against libdb4.2-dev. (Closes: #248519)
  * Newer standards version.
  * Switch from dh_installmanpages to dh_installman

 -- Paul Martin <pm@debian.org>  Wed, 18 Aug 2004 21:49:48 +0100

radiusd-livingston (2.1-11) unstable; urgency=low

  * Added Tunnel-Client-Auth-ID and Tunnel-Server-Auth-ID attributes
    to dictionary.

 -- Paul Martin <pm@debian.org>  Thu, 13 Nov 2003 03:17:05 +0000

radiusd-livingston (2.1-10) unstable; urgency=low

  * Implement restart and force-reload in init.d script
    (Closes: #197038)
  * Fix postinst to point at correct location of example clients and 
    users files. (Closes: #203615)

 -- Paul Martin <pm@debian.org>  Tue, 19 Aug 2003 15:32:36 +0100

radiusd-livingston (2.1-9) unstable; urgency=low

  * Removed #include of varargs.h from src/testuser.c. It doesn't
    use it, and GCC 3.3 has deprecated varargs.h. (Closes: #195497)
  * Fixed radiusd.8 and builddbm.8 NAME section heading.
  * Fix debian/copyright to stop lintian moaning.
  * Written a manpage for radtest.1.
  * Cleaned up compiler warnings:
    + added #include <string.h> to md5test.c, dbmrec.c, dbmkeys.c
    + changed sys_errlist[] reference to strerror() call in
      builddbm.c, dbmkeys.c, dbmrec.c, radiusd.c, proxy.c
    + commented out extra stuff after #endif in radiusd.c
  * Standards-Version: 3.5.10

 -- Paul Martin <pm@debian.org>  Sat, 31 May 2003 15:04:12 +0100

radiusd-livingston (2.1-8) unstable; urgency=low

  * Added Build-Depends on libdb2-dev. (Closes: #159256)

 -- Paul Martin <pm@debian.org>  Tue,  3 Sep 2002 01:03:33 +0100

radiusd-livingston (2.1-7) unstable; urgency=low

  * Included radtest program in the package at the suggestion of
    Todd Charron <tcharron@mnsi.net>.
  * Use debhelper v4.
  * Standards-Version: 3.5.6
  * Updated to use db2 includes, as the db1-compat header files are no
    longer supported by libc6.
  * Allow use of shadow passwords. (Closes: #157754)
  * Additions to README.Debian, and "debian/rules clean" now cleans up
    install-stamp.

 -- Paul Martin <pm@debian.org>  Thu, 22 Aug 2002 14:36:39 +0100

radiusd-livingston (2.1-6) unstable; urgency=high

  * Applied security fix radius-2.1.digest.patch from 

