=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	cd src; $(MAKE) EXT=Linux_Deb all

override_dh_clean:
	-cd src; $(MAKE) EXT=Linux_Deb clean
	-rm -rf src/Linux_Deb
	dh_clean
